Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "8623626b-5f46-4146-bbdc-7db0168646aa",
  "user_id": "e319d555-ed24-4488-81b8-19e2ea32d640",
  "user_planning_slot_type_id": "997c438f-6733-4fae-ab0c-8d338e4a1c97",
  "date_from": "2026-11-03T22:15:21.6814603+00:00",
  "date_to": "2026-11-03T22:15:21.6814603+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-03T22:15:21.6814603+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.